#
# spec file for package tango-icon-theme (Version 0.7.2)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    ImageMagick ImageMagick-devel Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel icon-naming-utils info insserv intltool klogd less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libcroco libcroco-devel libdrm libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libgsf libgsf-devel libgsf-gnome libgssapi libjasper libjpeg libjpeg-devel liblcms liblcms-devel libmudflap libnscd libpng libpng-devel librsvg librsvg-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libusb libwmf libwmf-devel libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser perl-XML-Simple permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed shared-mime-info strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           tango-icon-theme
BuildRequires:  ImageMagick-devel gnutls-devel icon-naming-utils intltool libglade2-devel libgnomeprintui-devel libgnomeui-devel librsvg-devel libwnck-devel mDNSResponder-devel update-desktop-files
BuildArch:    noarch
License:        Other uncritical OpenSource License
Group:          System/GUI/GNOME
Autoreqprov:    on
Version:        0.7.2
Release:        6.15
Source:         %{name}-%{version}.tar.bz2
Source1:        %{name}-extras-0.1.0.tar.bz2
Source2:        tango-kde-apps.tar.bz2
Source3:        quake3-tango-icons.tar.bz2
Source4:        system-log-out-icons.tar.bz2
Patch:          tango-no-crystalsvg.patch
URL:            http://www.tango-project.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Tango Icon Theme
Requires:       gnome-icon-theme >= 2.12.0

%description
Tango Icon Theme



Authors:
--------
    Jakub Steiner <jimmac@novell.com>
    Rodney Dawes <dobey@novell.com>

%define prefix   /opt/gnome
%debug_package
%prep
%setup -b 1 -b 2 -b 3 -b 4
%{?suse_update_config:%{suse_update_config}}
%patch0

%build
#autoreconf -fi
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
                --prefix=%{prefix} \
                --libdir=%{prefix}/%_lib \
                --sysconfdir=/etc%{prefix} \
		--enable-png-creation
make
cd ../%{name}-extras-0.1.0
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=%{prefix} \
	--libdir=%{prefix}/%_lib \
	--sysconfdir=/etc%{prefix} \
	--enable-png-creation
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install 
cd ../%{name}-extras-0.1.0
make DESTDIR=$RPM_BUILD_ROOT install
cp -rf ../tango-kde-apps/* $RPM_BUILD_ROOT%{prefix}/share/icons/Tango/
cp -rf ../quake3-icons/* $RPM_BUILD_ROOT%{prefix}/share/icons/Tango/
cp -rf ../system-log-out-icons/* $RPM_BUILD_ROOT%{prefix}/share/icons/Tango/
rm -rf $RPM_BUILD_ROOT%{prefix}/share/icons/Tango/*/devices/multimedia-player.*
(cd $RPM_BUILD_ROOT%{prefix}/share/icons/Tango; \
for size in 16x16 22x22 24x24; do \
	cp -rf $size/devices/multimedia-player-ipod-standard-color.png $size/devices/multimedia-player.png; \
done; \
cp scalable/devices/multimedia-player-ipod-standard-color.svg scalable/devices/multimedia-player.svg )

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/share/icons/Tango

%changelog
* Fri Feb 02 2007 - dobey@suse.de
- Copy the white iPod photo icon over the generic media player icon
  Fixes https://bugzilla.novell.com/show_bug.cgi?id=236988
* Fri Jan 19 2007 - dobey@suse.de
- Update logout icons for feature #301051
* Mon Jun 19 2006 - dobey@suse.de
- Remove crystalsvg from Inherits in index.theme
  Fixes https://bugzilla.novell.com/show_bug.cgi?id=163547
* Fri Apr 21 2006 - dobey@suse.de
- Update to version 0.7.2
  Fixes https://bugzilla.novell.com/show_bug.cgi?id=167307
- Add konversation icon to kde-apps tarball
- Add quake3 app icons
* Fri Feb 24 2006 - dobey@suse.de
- Update to version 0.7.1
- Update tango-kde-apps tarball to have proper bitmap directories
* Fri Feb 17 2006 - dobey@suse.de
- Update to version 0.7.0
- Adds new volume applet status icons
- Adds new network status icons
- Fixes https://bugs.freedesktop.org/show_bug.cgi?id=5603
- Fixes minor issues with other icons
* Fri Feb 03 2006 - dobey@suse.de
- Update to version 0.6.7
- Fixes some missing icons
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 21 2006 - dobey@suse.de
- Update to version 0.6.6
* Sat Jan 14 2006 - dobey@suse.de
- Update to version 0.6.5
* Tue Jan 10 2006 - dobey@suse.de
- Add in tango-icon-theme-extras 0.1.0 for DAP icons in banshee
* Fri Jan 06 2006 - dobey@suse.de
- Update to 0.6.4
* Sat Dec 17 2005 - dobey@suse.de
- Update to 0.6.3
* Mon Dec 12 2005 - dobey@suse.de
- Update to 0.6.2
* Thu Dec 08 2005 - dobey@suse.de
- Update to 0.6.1
* Wed Nov 30 2005 - dobey@suse.de
- Update to 0.5.1
* Mon Nov 21 2005 - dobey@suse.de
- Update to 0.5.0
* Mon Nov 07 2005 - dobey@suse.de
- Update to 0.4.4
* Wed Oct 26 2005 - dobey@suse.de
- Update to 0.3.3
* Wed Oct 19 2005 - dobey@suse.de
- Update to 0.3.2.1
* Mon Oct 17 2005 - gekker@suse.de
- Initial import into autobuild, Version 0.3.1
